path: /build/build/tailscale-net-vpn-1.80.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-vpn/tailscale -pv -t && \
    emerge -j ${JOBS} --nodeps net-vpn/tailscale
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tailscale && luet-portage --dir /pkgdir/tailscale
    net-vpn/tailscale && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:04ece4afc0011e607c8d00bee9d6ed49e7a18e836ad522b4d14a63c3ad4d71ad
  package:
    name: tailscale
    version: 1.80.3
    category: net-vpn
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Tailscale vpn client
    uri:
    - https://tailscale.com
    license: MIT
    buildtimestamp: 2025-03-29 01:14:49.580952426 +0000 UTC m=+378.244455382
    labels:
      BDEPEND: '>=dev-lang/go-1.12 app-arch/unzip'
      RDEPEND: net-firewall/iptables virtual/tmpfiles
      emerge.packages: net-vpn/tailscale
      kit: net-kit
      original.package.name: net-vpn/tailscale
      original.package.slot: "0"
      original.package.version: 1.80.3
    treedir: /build/packages
  package_dir: /pkgdir/tailscale
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5e4be502a2e7ddef5f9cb9d511cbda177cf5c1a7d06aed918fd22a31acf66b97
compressiontype: zstd
files:
- etc/conf.d/tailscale
- etc/default/tailscaled
- etc/init.d/tailscale
- usr/bin/tailscale
- usr/lib/tmpfiles.d/tailscale.conf
- usr/sbin/tailscaled
- var/db/pkg/net-vpn/tailscale-1.80.3/BDEPEND
- var/db/pkg/net-vpn/tailscale-1.80.3/BUILD_TIME
- var/db/pkg/net-vpn/tailscale-1.80.3/CATEGORY
- var/db/pkg/net-vpn/tailscale-1.80.3/CBUILD
- var/db/pkg/net-vpn/tailscale-1.80.3/CFLAGS
- var/db/pkg/net-vpn/tailscale-1.80.3/CHOST
- var/db/pkg/net-vpn/tailscale-1.80.3/CONTENTS
- var/db/pkg/net-vpn/tailscale-1.80.3/COUNTER
- var/db/pkg/net-vpn/tailscale-1.80.3/CTARGET
- var/db/pkg/net-vpn/tailscale-1.80.3/CXX
- var/db/pkg/net-vpn/tailscale-1.80.3/CXXFLAGS
- var/db/pkg/net-vpn/tailscale-1.80.3/DEFINED_PHASES
- var/db/pkg/net-vpn/tailscale-1.80.3/DESCRIPTION
- var/db/pkg/net-vpn/tailscale-1.80.3/EAPI
- var/db/pkg/net-vpn/tailscale-1.80.3/FEATURES
- var/db/pkg/net-vpn/tailscale-1.80.3/HOMEPAGE
- var/db/pkg/net-vpn/tailscale-1.80.3/INHERITED
- var/db/pkg/net-vpn/tailscale-1.80.3/IUSE
- var/db/pkg/net-vpn/tailscale-1.80.3/IUSE_EFFECTIVE
- var/db/pkg/net-vpn/tailscale-1.80.3/KEYWORDS
- var/db/pkg/net-vpn/tailscale-1.80.3/LDFLAGS
- var/db/pkg/net-vpn/tailscale-1.80.3/LICENSE
- var/db/pkg/net-vpn/tailscale-1.80.3/NEEDED
- var/db/pkg/net-vpn/tailscale-1.80.3/NEEDED.ELF.2
- var/db/pkg/net-vpn/tailscale-1.80.3/PF
- var/db/pkg/net-vpn/tailscale-1.80.3/RDEPEND
- var/db/pkg/net-vpn/tailscale-1.80.3/REQUIRES
- var/db/pkg/net-vpn/tailscale-1.80.3/RESTRICT
- var/db/pkg/net-vpn/tailscale-1.80.3/SIZE
- var/db/pkg/net-vpn/tailscale-1.80.3/SLOT
- var/db/pkg/net-vpn/tailscale-1.80.3/USE
- var/db/pkg/net-vpn/tailscale-1.80.3/environment.bz2
- var/db/pkg/net-vpn/tailscale-1.80.3/repository
- var/db/pkg/net-vpn/tailscale-1.80.3/tailscale-1.80.3.ebuild
- var/lib/tailscale/.keep_net-vpn_tailscale-0
package_cacheimage: ""
runtime:
  name: tailscale
  version: 1.80.3
  category: net-vpn
  requires:
  - name: iptables
    version: '>=0'
    category: net-firewall
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Tailscale vpn client
  uri:
  - https://tailscale.com
  license: MIT
  labels:
    BDEPEND: '>=dev-lang/go-1.12 app-arch/unzip'
    RDEPEND: net-firewall/iptables virtual/tmpfiles
    emerge.packages: net-vpn/tailscale
    kit: net-kit
    original.package.name: net-vpn/tailscale
    original.package.slot: "0"
    original.package.version: 1.80.3
